local _, ns = ...

function ns:GetPresets(class)
	class = class or select(2, UnitClass("player"))
	return ns.presets[class]
end

ns.presets = {
	WARRIOR = {
		{
			name = "Arms",
			weights = {
				ITEM_MOD_DAMAGE_PER_SECOND_SHORT = 14.50,
				ITEM_MOD_STRENGTH_SHORT = 4.90,
				ITEM_MOD_MELEE_ATTACK_POWER_SHORT = 4.45,
				ITEM_MOD_CRIT_RATING_SHORT = 2.50,
				ITEM_MOD_VERSATILITY = 2.45,
				ITEM_MOD_CR_MULTISTRIKE_SHORT = 2.25,
				ITEM_MOD_MASTERY_RATING_SHORT = 2.15,
				ITEM_MOD_HASTE_RATING_SHORT = 2.00
			}
		},
		{
			name = "Fury - Single-Minded",
			weights = {
				ITEM_MOD_DAMAGE_PER_SECOND_SHORT = 9.10,
				ITEM_MOD_STRENGTH_SHORT = 4.85,
				ITEM_MOD_MELEE_ATTACK_POWER_SHORT = 4.40,
				ITEM_MOD_CRIT_RATING_SHORT = 2.80,
				ITEM_MOD_CR_MULTISTRIKE_SHORT = 2.65,
				ITEM_MOD_MASTERY_RATING_SHORT = 2.60,
				ITEM_MOD_HASTE_RATING_SHORT = 2.55,
				ITEM_MOD_VERSATILITY = 2.20
			}
		},
		{
			name = "Fury - Titan Grip",
			weights = {
				ITEM_MOD_DAMAGE_PER_SECOND_SHORT = 10.35,
				ITEM_MOD_STRENGTH_SHORT = 4.10,
				ITEM_MOD_MELEE_ATTACK_POWER_SHORT = 3.75,
				ITEM_MOD_CRIT_RATING_SHORT = 2.80,
				ITEM_MOD_CR_MULTISTRIKE_SHORT = 2.50,
				ITEM_MOD_HASTE_RATING_SHORT = 2.45,
				ITEM_MOD_MASTERY_RATING_SHORT = 2.40,
				ITEM_MOD_VERSATILITY = 2.10
			}
		},
		{
			name = "Protection",
			weights = {
				ITEM_MOD_EXTRA_ARMOR_SHORT = 1.00,
				RESISTANCE0_NAME = 0.85,
				ITEM_MOD_STAMINA_SHORT = 0.75,
				ITEM_MOD_STRENGTH_SHORT = 0.65,
				ITEM_MOD_CRIT_RATING_SHORT = 0.60,
				ITEM_MOD_MASTERY_RATING_SHORT = 0.55,
				ITEM_MOD_VERSATILITY = 0.45,
				ITEM_MOD_CR_MULTISTRIKE_SHORT = 0.35,
				ITEM_MOD_HASTE_RATING_SHORT = 0.25,
				ITEM_MOD_MELEE_ATTACK_POWER_SHORT = 0.20,
				ITEM_MOD_DAMAGE_PER_SECOND_SHORT = 0.20,
				ITEM_MOD_CR_LIFESTEAL_SHORT = 0.05
			}
		},
		{
			name = "Protection - Gladiator",
			weights = {
				ITEM_MOD_DAMAGE_PER_SECOND_SHORT = 5.00,
				ITEM_MOD_STRENGTH_SHORT = 4.00,
				ITEM_MOD_MELEE_ATTACK_POWER_SHORT = 3.60,
				ITEM_MOD_EXTRA_ARMOR_SHORT = 3.60,
				ITEM_MOD_CRIT_RATING_SHORT = 2.20,
				ITEM_MOD_VERSATILITY = 1.65,
				ITEM_MOD_CR_MULTISTRIKE_SHORT = 1.60,
				ITEM_MOD_HASTE_RATING_SHORT = 1.55,
				ITEM_MOD_MASTERY_RATING_SHORT = 1.50
			}
		}
	},
	PALADIN = {
		{
			name = "Holy",
			weights = {
				ITEM_MOD_INTELLECT_SHORT = 2.00,
				ITEM_MOD_SPELL_POWER_SHORT = 1.80,
				ITEM_MOD_SPIRIT_SHORT = 1.20,
				ITEM_MOD_MASTERY_RATING_SHORT = 1.10,
				ITEM_MOD_HASTE_RATING_SHORT = 1.00,
				ITEM_MOD_CRIT_RATING_SHORT = 0.90,
				ITEM_MOD_CR_MULTISTRIKE_SHORT = 0.80,
				ITEM_MOD_VERSATILITY = 0.70
			}
		},
		{
			name = "Protection",
			weights = {
				ITEM_MOD_EXTRA_ARMOR_SHORT = 1.00,
				ITEM_MOD_STAMINA_SHORT = 0.75,
				ITEM_MOD_STRENGTH_SHORT = 0.75,
				RESISTANCE0_NAME = 0.60,
				ITEM_MOD_MASTERY_RATING_SHORT = 0.60,
				ITEM_MOD_VERSATILITY = 0.46,
				ITEM_MOD_CRIT_RATING_SHORT = 0.45,
				ITEM_MOD_CR_MULTISTRIKE_SHORT = 0.40,
				ITEM_MOD_HASTE_RATING_SHORT = 0.35,
				ITEM_MOD_MELEE_ATTACK_POWER_SHORT = 0.20,
				ITEM_MOD_DAMAGE_PER_SECOND_SHORT = 0.20,
				ITEM_MOD_CR_LIFESTEAL_SHORT = 0.05
			}
		},
		{
			name = "Retribution",
			weights = {
				ITEM_MOD_DAMAGE_PER_SECOND_SHORT = 12.45,
				ITEM_MOD_STRENGTH_SHORT = 5.55,
				ITEM_MOD_MELEE_ATTACK_POWER_SHORT = 5.05,
				ITEM_MOD_MASTERY_RATING_SHORT = 3.05,
				ITEM_MOD_HASTE_RATING_SHORT = 3.00,
				ITEM_MOD_CR_MULTISTRIKE_SHORT = 2.70,
				ITEM_MOD_CRIT_RATING_SHORT = 2.65,
				ITEM_MOD_VERSATILITY = 2.50
			}
		}
	},
	HUNTER = {
		{
			name = "Beast Mastery",
			weights = {
				ITEM_MOD_AGILITY_SHORT = 5.60,
				ITEM_MOD_DAMAGE_PER_SECOND_SHORT = 5.55,
				ITEM_MOD_RANGED_ATTACK_POWER_SHORT = 5.10,
				ITEM_MOD_CR_MULTISTRIKE_SHORT = 2.35,
				ITEM_MOD_CRIT_RATING_SHORT = 2.25,
				ITEM_MOD_HASTE_RATING_SHORT = 2.20,
				ITEM_MOD_VERSATILITY = 2.15,
				ITEM_MOD_MASTERY_RATING_SHORT = 2.10
			}
		},
		{
			name = "Marksmanship",
			weights = {
				ITEM_MOD_DAMAGE_PER_SECOND_SHORT = 14.75,
				ITEM_MOD_AGILITY_SHORT = 5.65,
				ITEM_MOD_RANGED_ATTACK_POWER_SHORT = 5.15,
				ITEM_MOD_CRIT_RATING_SHORT = 3.00,
				ITEM_MOD_MASTERY_RATING_SHORT = 2.50,
				ITEM_MOD_CR_MULTISTRIKE_SHORT = 2.45,
				ITEM_MOD_VERSATILITY = 2.40,
				ITEM_MOD_HASTE_RATING_SHORT = 2.35
			}
		},
		{
			name = "Survival",
			weights = {
				ITEM_MOD_AGILITY_SHORT = 6.25,
				ITEM_MOD_RANGED_ATTACK_POWER_SHORT = 5.65,
				ITEM_MOD_DAMAGE_PER_SECOND_SHORT = 4.75,
				ITEM_MOD_CR_MULTISTRIKE_SHORT = 2.95,
				ITEM_MOD_CRIT_RATING_SHORT = 2.40,
				ITEM_MOD_VERSATILITY = 2.30,
				ITEM_MOD_MASTERY_RATING_SHORT = 1.90,
				ITEM_MOD_HASTE_RATING_SHORT = 1.25
			}
		}
	},
	ROGUE = {
		{
			name = "Assassination",
			weights = {
				ITEM_MOD_AGILITY_SHORT = 5.60,
				ITEM_MOD_MELEE_ATTACK_POWER_SHORT = 5.10,
				ITEM_MOD_DAMAGE_PER_SECOND_SHORT = 4.80,
				ITEM_MOD_MASTERY_RATING_SHORT = 2.75,
				ITEM_MOD_CRIT_RATING_SHORT = 2.70,
				ITEM_MOD_CR_MULTISTRIKE_SHORT = 2.25,
				ITEM_MOD_VERSATILITY = 2.20,
				ITEM_MOD_HASTE_RATING_SHORT = 1.85
			}
		},
		{
			name = "Combat",
			weights = {
				ITEM_MOD_AGILITY_SHORT = 5.75,
				ITEM_MOD_MELEE_ATTACK_POWER_SHORT = 5.20,
				ITEM_MOD_DAMAGE_PER_SECOND_SHORT = 5.15,
				ITEM_MOD_HASTE_RATING_SHORT = 2.55,
				ITEM_MOD_CR_MULTISTRIKE_SHORT = 2.50,
				ITEM_MOD_VERSATILITY = 2.40,
				ITEM_MOD_CRIT_RATING_SHORT = 2.35,
				ITEM_MOD_MASTERY_RATING_SHORT = 2.20
			}
		},
		{
			name = "Subtlety",
			weights = {
				ITEM_MOD_DAMAGE_PER_SECOND_SHORT = 5.95,
				ITEM_MOD_AGILITY_SHORT = 5.85,
				ITEM_MOD_MELEE_ATTACK_POWER_SHORT = 4.60,
				ITEM_MOD_CR_MULTISTRIKE_SHORT = 2.70,
				ITEM_MOD_MASTERY_RATING_SHORT = 2.65,
				ITEM_MOD_CRIT_RATING_SHORT = 2.40,
				ITEM_MOD_VERSATILITY = 2.35,
				ITEM_MOD_HASTE_RATING_SHORT = 1.60
			}
		}
	},
	PRIEST = {
		{
			name = "Discipline",
			weights = {
				ITEM_MOD_INTELLECT_SHORT = 2.00,
				ITEM_MOD_SPELL_POWER_SHORT = 1.80,
				ITEM_MOD_SPIRIT_SHORT = 1.20,
				ITEM_MOD_CRIT_RATING_SHORT = 1.10,
				ITEM_MOD_HASTE_RATING_SHORT = 1.00,
				ITEM_MOD_MASTERY_RATING_SHORT = 0.90,
				ITEM_MOD_VERSATILITY = 0.80,
				ITEM_MOD_CR_MULTISTRIKE_SHORT = 0.70
			}
		},
		{
			name = "Holy",
			weights = {
				ITEM_MOD_INTELLECT_SHORT = 2.00,
				ITEM_MOD_SPELL_POWER_SHORT = 1.80,
				ITEM_MOD_SPIRIT_SHORT = 1.20,
				ITEM_MOD_CR_MULTISTRIKE_SHORT = 1.10,
				ITEM_MOD_HASTE_RATING_SHORT = 1.00,
				ITEM_MOD_CRIT_RATING_SHORT = 0.90,
				ITEM_MOD_MASTERY_RATING_SHORT = 0.80,
				ITEM_MOD_VERSATILITY = 0.70
			}
		},
		{
			name = "Shadow",
			weights = {
				ITEM_MOD_INTELLECT_SHORT = 4.90,
				ITEM_MOD_SPELL_POWER_SHORT = 4.40,
				ITEM_MOD_CRIT_RATING_SHORT = 3.30,
				ITEM_MOD_HASTE_RATING_SHORT = 2.60,
				ITEM_MOD_CR_MULTISTRIKE_SHORT = 2.55,
				ITEM_MOD_VERSATILITY = 2.45,
				ITEM_MOD_MASTERY_RATING_SHORT = 2.30
			}
		}
	},
	DEATHKNIGHT = {
		{
			name = "Blood",
			weights = {
				ITEM_MOD_STRENGTH_SHORT = 1.00,
				ITEM_MOD_EXTRA_ARMOR_SHORT = 0.95,
				ITEM_MOD_STAMINA_SHORT = 0.80,
				RESISTANCE0_NAME = 0.70,
				ITEM_MOD_MASTERY_RATING_SHORT = 0.64,
				ITEM_MOD_CR_MULTISTRIKE_SHORT = 0.60,
				ITEM_MOD_HASTE_RATING_SHORT = 0.50,
				ITEM_MOD_VERSATILITY = 0.45,
				ITEM_MOD_CRIT_RATING_SHORT = 0.40,
				ITEM_MOD_MELEE_ATTACK_POWER_SHORT = 0.20,
				ITEM_MOD_DAMAGE_PER_SECOND_SHORT = 0.20,
				ITEM_MOD_CR_LIFESTEAL_SHORT = 0.05
			}
		},
		{
			name = "Frost - Two-Handed",
			weights = {
				ITEM_MOD_DAMAGE_PER_SECOND_SHORT = 9.70,
				ITEM_MOD_STRENGTH_SHORT = 5.60,
				ITEM_MOD_MELEE_ATTACK_POWER_SHORT = 4.10,
				ITEM_MOD_CR_MULTISTRIKE_SHORT = 2.45,
				ITEM_MOD_VERSATILITY = 2.40,
				ITEM_MOD_HASTE_RATING_SHORT = 2.15,
				ITEM_MOD_CRIT_RATING_SHORT = 2.00,
				ITEM_MOD_MASTERY_RATING_SHORT = 1.95
			}
		},
		{
			name = "Frost - Dual-Wield",
			weights = {
				ITEM_MOD_DAMAGE_PER_SECOND_SHORT = 6.10,
				ITEM_MOD_STRENGTH_SHORT = 5.90,
				ITEM_MOD_MELEE_ATTACK_POWER_SHORT = 4.35,
				ITEM_MOD_MASTERY_RATING_SHORT = 2.80,
				ITEM_MOD_CR_MULTISTRIKE_SHORT = 2.50,
				ITEM_MOD_VERSATILITY = 2.40,
				ITEM_MOD_CRIT_RATING_SHORT = 2.00,
				ITEM_MOD_HASTE_RATING_SHORT = 1.80
			}
		},
		{
			name = "Unholy",
			weights = {
				ITEM_MOD_STRENGTH_SHORT = 6.30,
				ITEM_MOD_MELEE_ATTACK_POWER_SHORT = 4.85,
				ITEM_MOD_DAMAGE_PER_SECOND_SHORT = 4.70,
				ITEM_MOD_MASTERY_RATING_SHORT = 3.50,
				ITEM_MOD_CR_MULTISTRIKE_SHORT = 3.40,
				ITEM_MOD_CRIT_RATING_SHORT = 2.65,
				ITEM_MOD_VERSATILITY = 2.50,
				ITEM_MOD_HASTE_RATING_SHORT = 2.10
			}
		}
	},
	SHAMAN = {
		{
			name = "Elemental",
			weights = {
				ITEM_MOD_INTELLECT_SHORT = 4.90,
				ITEM_MOD_SPELL_POWER_SHORT = 4.45,
				ITEM_MOD_CR_MULTISTRIKE_SHORT = 3.50,
				ITEM_MOD_CRIT_RATING_SHORT = 2.50,
				ITEM_MOD_HASTE_RATING_SHORT = 2.45,
				ITEM_MOD_MASTERY_RATING_SHORT = 2.30,
				ITEM_MOD_VERSATILITY = 2.15
			}
		},
		{
			name = "Enhancement",
			weights = {
				ITEM_MOD_AGILITY_SHORT = 5.40,
				ITEM_MOD_MELEE_ATTACK_POWER_SHORT = 4.90,
				ITEM_MOD_DAMAGE_PER_SECOND_SHORT = 3.30,
				ITEM_MOD_HASTE_RATING_SHORT = 2.60,
				ITEM_MOD_MASTERY_RATING_SHORT = 2.15,
				ITEM_MOD_CRIT_RATING_SHORT = 2.10,
				ITEM_MOD_CR_MULTISTRIKE_SHORT = 2.05,
				ITEM_MOD_VERSATILITY = 2.00
			}
		},
		{
			name = "Restoration",
			weights = {
				ITEM_MOD_INTELLECT_SHORT = 2.00,
				ITEM_MOD_SPELL_POWER_SHORT = 1.80,
				ITEM_MOD_SPIRIT_SHORT = 1.20,
				ITEM_MOD_MASTERY_RATING_SHORT = 1.10,
				ITEM_MOD_HASTE_RATING_SHORT = 1.00,
				ITEM_MOD_CRIT_RATING_SHORT = 0.90,
				ITEM_MOD_CR_MULTISTRIKE_SHORT = 0.80,
				ITEM_MOD_VERSATILITY = 0.70
			}
		}
	},
	MAGE = {
		{
			name = "Arcane",
			weights = {
				ITEM_MOD_INTELLECT_SHORT = 5.25,
				ITEM_MOD_SPELL_POWER_SHORT = 4.80,
				ITEM_MOD_MASTERY_RATING_SHORT = 3.15,
				ITEM_MOD_HASTE_RATING_SHORT = 2.70,
				ITEM_MOD_CR_MULTISTRIKE_SHORT = 2.50,
				ITEM_MOD_CRIT_RATING_SHORT = 2.40,
				ITEM_MOD_VERSATILITY = 2.30
			}
		},
		{
			name = "Fire",
			weights = {
				ITEM_MOD_INTELLECT_SHORT = 4.80,
				ITEM_MOD_SPELL_POWER_SHORT = 4.35,
				ITEM_MOD_MASTERY_RATING_SHORT = 3.50,
				ITEM_MOD_CRIT_RATING_SHORT = 2.70,
				ITEM_MOD_HASTE_RATING_SHORT = 2.65,
				ITEM_MOD_CR_MULTISTRIKE_SHORT = 2.60,
				ITEM_MOD_VERSATILITY = 2.05
			}
		},
		{
			name = "Frost",
			weights = {
				ITEM_MOD_INTELLECT_SHORT = 5.50,
				ITEM_MOD_SPELL_POWER_SHORT = 5.00,
				ITEM_MOD_CR_MULTISTRIKE_SHORT = 3.55,
				ITEM_MOD_VERSATILITY = 2.80,
				ITEM_MOD_CRIT_RATING_SHORT = 2.70,
				ITEM_MOD_MASTERY_RATING_SHORT = 2.40,
				ITEM_MOD_HASTE_RATING_SHORT = 2.20
			}
		}
	},
	WARLOCK = {
		{
			name = "Affliction",
			weights = {
				ITEM_MOD_INTELLECT_SHORT = 4.80,
				ITEM_MOD_SPELL_POWER_SHORT = 4.40,
				ITEM_MOD_MASTERY_RATING_SHORT = 2.90,
				ITEM_MOD_HASTE_RATING_SHORT = 2.65,
				ITEM_MOD_CRIT_RATING_SHORT = 2.40,
				ITEM_MOD_VERSATILITY = 2.35,
				ITEM_MOD_CR_MULTISTRIKE_SHORT = 2.15
			}
		},
		{
			name = "Demonology",
			weights = {
				ITEM_MOD_INTELLECT_SHORT = 4.80,
				ITEM_MOD_SPELL_POWER_SHORT = 4.40,
				ITEM_MOD_CR_MULTISTRIKE_SHORT = 2.50,
				ITEM_MOD_HASTE_RATING_SHORT = 2.45,
				ITEM_MOD_MASTERY_RATING_SHORT = 2.40,
				ITEM_MOD_CRIT_RATING_SHORT = 2.20,
				ITEM_MOD_VERSATILITY = 2.10
			}
		},
		{
			name = "Destruction",
			weights = {
				ITEM_MOD_INTELLECT_SHORT = 5.00,
				ITEM_MOD_SPELL_POWER_SHORT = 4.55,
				ITEM_MOD_CRIT_RATING_SHORT = 2.90,
				ITEM_MOD_HASTE_RATING_SHORT = 2.60,
				ITEM_MOD_MASTERY_RATING_SHORT = 2.40,
				ITEM_MOD_CR_MULTISTRIKE_SHORT = 2.35,
				ITEM_MOD_VERSATILITY = 2.25
			}
		}
	},
	MONK = {
		{
			name = "Brewmaster - Two-Handed",
			weights = {
				ITEM_MOD_EXTRA_ARMOR_SHORT = 2.00,
				RESISTANCE0_NAME = 1.60,
				ITEM_MOD_MASTERY_RATING_SHORT = 1.05,
				ITEM_MOD_AGILITY_SHORT = 0.95,
				ITEM_MOD_STAMINA_SHORT = 0.80,
				ITEM_MOD_VERSATILITY = 0.70,
				ITEM_MOD_CR_MULTISTRIKE_SHORT = 0.65,
				ITEM_MOD_CRIT_RATING_SHORT = 0.59,
				ITEM_MOD_HASTE_RATING_SHORT = 0.45,
				ITEM_MOD_MELEE_ATTACK_POWER_SHORT = 0.20,
				ITEM_MOD_DAMAGE_PER_SECOND_SHORT = 0.20,
				ITEM_MOD_CR_LIFESTEAL_SHORT = 0.05
			}
		},
		{
			name = "Brewmaster - Dual-Wield",
			weights = {
				ITEM_MOD_EXTRA_ARMOR_SHORT = 2.00,
				RESISTANCE0_NAME = 1.60,
				ITEM_MOD_MASTERY_RATING_SHORT = 1.05,
				ITEM_MOD_AGILITY_SHORT = 0.95,
				ITEM_MOD_STAMINA_SHORT = 0.80,
				ITEM_MOD_VERSATILITY = 0.70,
				ITEM_MOD_CR_MULTISTRIKE_SHORT = 0.65,
				ITEM_MOD_CRIT_RATING_SHORT = 0.59,
				ITEM_MOD_HASTE_RATING_SHORT = 0.45,
				ITEM_MOD_MELEE_ATTACK_POWER_SHORT = 0.20,
				ITEM_MOD_DAMAGE_PER_SECOND_SHORT = 0.20,
				ITEM_MOD_CR_LIFESTEAL_SHORT = 0.05
			}
		},
		{
			name = "Mistweaver",
			weights = {
				ITEM_MOD_INTELLECT_SHORT = 2.00,
				ITEM_MOD_SPELL_POWER_SHORT = 1.80,
				ITEM_MOD_SPIRIT_SHORT = 1.20,
				ITEM_MOD_CR_MULTISTRIKE_SHORT = 1.10,
				ITEM_MOD_CRIT_RATING_SHORT = 1.00,
				ITEM_MOD_HASTE_RATING_SHORT = 0.90,
				ITEM_MOD_VERSATILITY = 0.80,
				ITEM_MOD_MASTERY_RATING_SHORT = 0.70
			}
		},
		{
			name = "Windwalker - Two-Handed",
			weights = {
				ITEM_MOD_DAMAGE_PER_SECOND_SHORT = 14.90,
				ITEM_MOD_AGILITY_SHORT = 6.00,
				ITEM_MOD_MELEE_ATTACK_POWER_SHORT = 5.50,
				ITEM_MOD_CR_MULTISTRIKE_SHORT = 3.10,
				ITEM_MOD_VERSATILITY = 2.70,
				ITEM_MOD_CRIT_RATING_SHORT = 2.50,
				ITEM_MOD_HASTE_RATING_SHORT = 2.45,
				ITEM_MOD_MASTERY_RATING_SHORT = 1.60
			}
		},
		{
			name = "Windwalker - Dual-Wield",
			weights = {
				ITEM_MOD_DAMAGE_PER_SECOND_SHORT = 12.90,
				ITEM_MOD_AGILITY_SHORT = 6.00,
				ITEM_MOD_MELEE_ATTACK_POWER_SHORT = 5.50,
				ITEM_MOD_CR_MULTISTRIKE_SHORT = 3.15,
				ITEM_MOD_CRIT_RATING_SHORT = 2.80,
				ITEM_MOD_VERSATILITY = 2.70,
				ITEM_MOD_HASTE_RATING_SHORT = 2.55,
				ITEM_MOD_MASTERY_RATING_SHORT = 1.55
			}
		}
	},
	DRUID = {
		{
			name = "Balance",
			weights = {
				ITEM_MOD_INTELLECT_SHORT = 5.80,
				ITEM_MOD_SPELL_POWER_SHORT = 5.30,
				ITEM_MOD_CRIT_RATING_SHORT = 3.10,
				ITEM_MOD_HASTE_RATING_SHORT = 3.00,
				ITEM_MOD_CR_MULTISTRIKE_SHORT = 2.95,
				ITEM_MOD_MASTERY_RATING_SHORT = 2.90,
				ITEM_MOD_VERSATILITY = 2.55
			}
		},
		{
			name = "Feral",
			weights = {
				ITEM_MOD_DAMAGE_PER_SECOND_SHORT = 6.25,
				ITEM_MOD_MELEE_ATTACK_POWER_SHORT = 6.05,
				ITEM_MOD_CRIT_RATING_SHORT = 3.45,
				ITEM_MOD_VERSATILITY = 2.75,
				ITEM_MOD_MASTERY_RATING_SHORT = 2.60,
				ITEM_MOD_CR_MULTISTRIKE_SHORT = 2.50,
				ITEM_MOD_HASTE_RATING_SHORT = 2.05
			}
		},
		{
			name = "Guardian",
			weights = {
				RESISTANCE0_NAME = 2.00,
				ITEM_MOD_EXTRA_ARMOR_SHORT = 1.00,
				ITEM_MOD_STAMINA_SHORT = 0.80,
				ITEM_MOD_AGILITY_SHORT = 0.75,
				ITEM_MOD_MASTERY_RATING_SHORT = 0.70,
				ITEM_MOD_VERSATILITY = 0.55,
				ITEM_MOD_CRIT_RATING_SHORT = 0.50,
				ITEM_MOD_CR_MULTISTRIKE_SHORT = 0.40,
				ITEM_MOD_HASTE_RATING_SHORT = 0.35,
				ITEM_MOD_MELEE_ATTACK_POWER_SHORT = 0.20,
				ITEM_MOD_DAMAGE_PER_SECOND_SHORT = 0.20,
				ITEM_MOD_CR_LIFESTEAL_SHORT = 0.05
			}
		},
		{
			name = "Restoration",
			weights = {
				ITEM_MOD_INTELLECT_SHORT = 2.00,
				ITEM_MOD_SPELL_POWER_SHORT = 1.80,
				ITEM_MOD_SPIRIT_SHORT = 1.20,
				ITEM_MOD_HASTE_RATING_SHORT = 1.10,
				ITEM_MOD_MASTERY_RATING_SHORT = 1.00,
				ITEM_MOD_CR_MULTISTRIKE_SHORT = 0.90,
				ITEM_MOD_CRIT_RATING_SHORT = 0.80,
				ITEM_MOD_VERSATILITY = 0.70
			}
		},
	}
}
-- add some universal stats to every spec at very low scores for leveling
for class, presets in pairs(ns.presets) do
	for _, preset in pairs(presets) do
		preset.weights.RESISTANCE0_NAME = preset.weights.RESISTANCE0_NAME or 0.001
		preset.weights.ITEM_MOD_STAMINA_SHORT = preset.weights.ITEM_MOD_STAMINA_SHORT or 0.01
		preset.weights.ITEM_MOD_CRIT_RATING_SHORT = preset.weights.ITEM_MOD_CRIT_RATING_SHORT or 0.01
		preset.weights.ITEM_MOD_MASTERY_RATING_SHORT = preset.weights.ITEM_MOD_MASTERY_RATING_SHORT or 0.01
		preset.weights.ITEM_MOD_HASTE_RATING_SHORT = preset.weights.ITEM_MOD_HASTE_RATING_SHORT or 0.01
	end
end